alpm_trans(3)

NAME
alpm_trans - Functions to manipulate libalpm transactions.

SYNOPSIS

  Functions
int alpm_trans_init (alpm_handle_t *handle, int flags)
Initialize the transaction.
int alpm_trans_prepare (alpm_handle_t *handle, alpm_list_t **data)
Prepare a transaction.
int alpm_trans_commit (alpm_handle_t *handle, alpm_list_t **data)
Commit a transaction.
int alpm_trans_interrupt (alpm_handle_t *handle)
Interrupt a transaction.
int alpm_trans_release (alpm_handle_t *handle)
Release a transaction.

Detailed Description

Functions to manipulate libalpm transactions.

Function Documentation

  int alpm_trans_commit (alpm_handle_t * handle, alpm_list_t ** data)

Commit a transaction.

Parameters
    handle the context handle
    data the address of an alpm_list where detailed description of an error can be dumped (i.e. list of conflicting files)

Returns
    0 on success, -1 on error (pm_errno is set accordingly)

  int alpm_trans_init (alpm_handle_t * handle, int flags)

Initialize the transaction.

Parameters
    handle the context handle
    flags flags of the transaction (like nodeps, etc; see alpm_transflag_t)

Returns
    0 on success, -1 on error (pm_errno is set accordingly)

  int alpm_trans_interrupt (alpm_handle_t * handle)

Interrupt a transaction.

Note
    Safe to call from inside signal handlers.

  int alpm_trans_prepare (alpm_handle_t * handle, alpm_list_t ** data)

Prepare a transaction.

Parameters
    handle the context handle
    data the address of an alpm_list where a list of alpm_depmissing_t objects is dumped (conflicting packages)

Returns
    0 on success, -1 on error (pm_errno is set accordingly)

  int alpm_trans_release (alpm_handle_t * handle)

Release a transaction.

Parameters
    handle the context handle

Returns
    0 on success, -1 on error (pm_errno is set accordingly)

Author

Generated automatically by Doxygen for libalpm from the source code.